## globus-gram-job-manager-setup-lsf 2.4

=== debian/changelog ===
globus-gram-job-manager-setup-lsf (2.4-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583032)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:29 +0200

globus-gram-job-manager-setup-lsf (2.4-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 21:00:21 +0200

globus-gram-job-manager-setup-lsf (2.3-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Jan 2010 10:06:33 +0100

globus-gram-job-manager-setup-lsf (2.2-1) unstable; urgency=low

  * Initial release (Closes: #540280).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Aug 2009 08:32:11 +0200
