=== debian/control ===
Source: globus-gram-job-manager-setup-lsf
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools, globus-core, doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager-setup-lsf
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager-setup-lsf
Homepage: http://www.globus.org/

Package: globus-gram-job-manager-setup-lsf
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, globus-gram-job-manager-scripts, globus-gass-cache-program, globus-common-progs
Recommends: globus-gram-job-manager-setup-lsf-doc (= ${binary:Version})
Description: Globus Toolkit - LSF Job Manager Setup
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-setup-lsf package contains:
 LSF Job Manager Setup

Package: globus-gram-job-manager-setup-lsf-doc
Section: doc
Architecture: all
Depends: globus-gram-job-manager-setup-lsf (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - LSF Job Manager Setup Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-setup-lsf-doc package contains:
 LSF Job Manager Setup Documentation Files
