=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

name = globus-gram-job-manager-setup-lsf
_name = globus_gram_job_manager_setup_lsf
version = 2.4

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e $$f.dist ] ; then \
	    mv $$f $$f.dist ; \
	    cp -f /usr/share/misc/$$f $$f ; \
	  fi ; \
	done

	./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --without-flavor \
	   --enable-doxygen

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean: cleanup
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e $$f.dist ] ; then \
	    mv -f $$f.dist $$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -rf doxygen/doc

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Register setup
	perl -MGrid::GPT::Setup -e 'my $$metadata = new Grid::GPT::Setup(package_name => "$(_name)", globusdir => "$(INSTALLDIR)$(_prefix)"); $$metadata->finish();'

	# Create perl module
	mkdir -p $(INSTALLDIR)$(perl_vendorlib)/Globus/GRAM/JobManager
	sed -e "s!'@MPIRUN@'!(defined(\$$ENV{MPIRUN}) ? \$$ENV{MPIRUN} : \"mpirun\")!" \
	    -e "s!'@MPIEXEC@'!(defined(\$$ENV{MPIEXEC}) ? \$$ENV{MPIEXEC} : \"mpiexec\")!" \
	    -e "/@LSF_PROFILE@/i\\\
	    \$$lsf_envdir = (defined(\$$ENV{LSF_ENVDIR}) ? \$$ENV{LSF_ENVDIR} : \"/etc\");\\n\
	    \$$lsf_conf = \`sed -ne 's/LSF_CONFDIR=//p' \$$lsf_envdir/lsf.conf\`;\\n\
	    chomp \$$lsf_conf;" \
	    -e "s!'@LSF_PROFILE@'!\"\$$lsf_conf/profile.lsf\"!" \
	    -e "s!@BHIST@\"!\" . (defined(\$$ENV{BHIST}) ? \$$ENV{BHIST} : \"bhist\")!" \
	    -e "s!@BSUB@\"!\" . (defined(\$$ENV{BSUB}) ? \$$ENV{BSUB} : \"bsub\")!" \
	    -e "s!@BJOBS@\"!\" . (defined(\$$ENV{BJOBS}) ? \$$ENV{BJOBS} : \"bjobs\")!" \
	    -e "s!@BKILL@\"!\" . (defined(\$$ENV{BKILL}) ? \$$ENV{BKILL} : \"bkill\")!" \
	  $(INSTALLDIR)$(_datadir)/globus/setup/lsf.in > \
	  $(INSTALLDIR)$(perl_vendorlib)/Globus/GRAM/JobManager/lsf.pm

	# Remove some intermediate files
	rm -rf $(INSTALLDIR)$(_datadir)/globus/setup
	sed '/globus\/setup/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_pgm.filelist

	# Move documentation to default debian location
	mv $(INSTALLDIR)$(_docdir)/$(_name) $(INSTALLDIR)$(_docdir)/$(name)
	sed s!doc/$(_name)!doc/$(name)! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_pgm.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-doc.install

	echo debian/tmp$(_datadir)/globus/packages/setup/globus_gram_job_manager_service_setup/$(_name).gpt \
	  >> debian/$(name).install
	echo debian/tmp$(perl_vendorlib)/Globus/GRAM/JobManager/lsf.pm \
	  >> debian/$(name).install

binary-indep: install
	dh_testdir
	dh_testroot
	mkdir -p debian/$(name)-doc$(_docdir)
	ln -s $(name) debian/$(name)-doc$(_docdir)/$(name)-doc
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress -X .tag
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
#	:

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
	    echo "Downloading Globus Toolkit release." ; \
	    echo "This should be necessary only once for all globus packages." ; \
	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
	  fi ; \
	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
	    gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/lsf ; \
	  mv gt5.0.1-all-source-installer/source-trees/gram/jobmanager/setup/lsf \
	    $(name)-$(version) ; \
	  echo "Packing it up again." ; \
	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
	    $(name)-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf gt5.0.1-all-source-installer $(name)-$(version) ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
