## globus-gram-job-manager-setup-lsf 2.5

=== debian/changelog ===
globus-gram-job-manager-setup-lsf (2.5-3) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 07:20:38 +0200

globus-gram-job-manager-setup-lsf (2.5-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616231)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 10:40:14 +0200

globus-gram-job-manager-setup-lsf (2.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 15:28:14 +0200
